--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Provides #pred as the opposite of #succ."
- !ruby/struct:SM::Flow::VERB 
  body: "  3.pred(2)  #=&gt; 1\n"
- !ruby/struct:SM::Flow::P 
  body: "CREDIT: Trans"
full_name: Integer#pred
is_singleton: false
name: pred
params: (n=1)
visibility: public
